linux: 3.19.0-49.55 -proposed tracker

Bug #1536775 reported by Brad Figg on 2016-01-21
38
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Po-Hsu Lin
Prepare-package
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Vivid
Medium
Unassigned

Bug Description

This bug is for tracking the 3.19.0-49.55 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 21. January 2016 20:31 UTC
kernel-stable-Prepare-package-end:Friday, 22. January 2016 10:42 UTC
kernel-stable-Promote-to-proposed-start:Friday, 22. January 2016 10:42 UTC
kernel-stable-Promote-to-proposed-end:Friday, 22. January 2016 19:26 UTC
kernel-stable-Verification-testing-start:Friday, 22. January 2016 21:02 UTC
kernel-stable-Certification-testing-start:Friday, 22. January 2016 21:02 UTC
kernel-stable-Security-signoff-start:Friday, 22. January 2016 21:02 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 22. January 2016 21:02 UTC
kernel-stable-Security-signoff-end:Saturday, 23. January 2016 00:01 UTC
kernel-stable-Regression-testing-end:Monday, 25. January 2016 18:02 UTC
kernel-stable-Certification-testing-end:Monday, 01. February 2016 03:01 UTC
kernel-stable-Promote-to-updates-start:Monday, 01. February 2016 14:44 UTC
kernel-stable-Promote-to-updates-end:Monday, 01. February 2016 17:38 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 01. February 2016 19:04 UTC

Brad Figg (brad-figg) on 2016-01-21
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-vivid
tags: added: vivid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Vivid):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Vivid):
status: New → Confirmed
Changed in linux (Ubuntu):
status: New → Confirmed
Luis Henriques (henrix) on 2016-01-22
Changed in linux (Ubuntu):
status: Confirmed → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-vivid (14.04.1) - bug 1537013

description: updated

 linux | 3.19.0-49.55 | vivid-proposed | source
 linux-meta | 3.19.0.49.48 | vivid-proposed | source
 linux-signed | 3.19.0-49.55 | vivid-proposed | source

Brad Figg (brad-figg) on 2016-01-22
description: updated

Here's the relevant information:

 vivid linux 3.19.0-49.55 REGR summary<REGN: 1 MISS: 18 REGR: 3 FAIL: 36 GOOD: 86>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

description: updated
Brad Figg (brad-figg) on 2016-01-23
description: updated
Brad Figg (brad-figg) on 2016-01-25
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2016-01-25
description: updated
Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have begun testing this -proposed kernel.

Luis Henriques (henrix) wrote :

Only MISS tests is systemd on pp64el, which were never executed.

Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed, results are available here: http://people.canonical.com/~hwcert/sru-testing/vivid/3.19.0-49.55/vivid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2016-02-01
description: updated
Brad Figg (brad-figg) on 2016-02-01
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-49.55

---------------
linux (3.19.0-49.55) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1536775

  [ Colin Ian King ]

  * SAUCE: (no-up) ACPI / tables: Add acpi_force_32bit_fadt_addr option to
    force 32 bit FADT addresses
    - LP: #1529381

  [ Tim Gardner ]

  * [Config] Add DRM ast driver to udeb installer image
    - LP: #1514711
  * SAUCE: (no-up) Revert "[SCSI] libiscsi: Reduce locking contention in
    fast path"
    - LP: #1517142

  [ Upstream Kernel Changes ]

  * powerpc/eeh: Fix recursive fenced PHB on Broadcom shiner adapter
    - LP: #1532942
  * Drivers: hv: vmbus: prevent cpu offlining on newer hypervisors
    - LP: #1440103
  * Drivers: hv: vmbus: teardown hv_vmbus_con workqueue and
    vmbus_connection pages on shutdown
    - LP: #1440103
  * drivers: hv: vmbus: Teardown synthetic interrupt controllers on module
    unload
    - LP: #1440103
  * clockevents: export clockevents_unbind_device instead of
    clockevents_unbind
    - LP: #1440103
  * Drivers: hv: vmbus: Teardown clockevent devices on module unload
    - LP: #1440103
  * Drivers: hv: vmbus: Add support for VMBus panic notifier handler
    - LP: #1440103
  * hv: run non-blocking message handlers in the dispatch tasklet
    - LP: #1440103
  * Drivers: hv: vmbus: unregister panic notifier on module unload
    - LP: #1440103
  * Drivers: hv: vmbus: Implement the protocol for tearing down vmbus state
    - LP: #1440103
  * kexec: define kexec_in_progress in !CONFIG_KEXEC case
    - LP: #1440103
  * Drivers: hv: vmbus: add special kexec handler
    - LP: #1440103
  * Drivers: hv: don't do hypercalls when hypercall_page is NULL
    - LP: #1440103
  * Drivers: hv: vmbus: add special crash handler
    - LP: #1440103
  * Drivers: hv: vmbus: prefer 'die' notification chain to 'panic'
    - LP: #1440103
  * hyperv: Implement netvsc_get_channels() ethool op
    - LP: #1494423
  * hv_netvsc: Properly size the vrss queues
    - LP: #1494423
  * hv_netvsc: Allocate the sendbuf in a NUMA aware way
    - LP: #1494423
  * hv_netvsc: Allocate the receive buffer from the correct NUMA node
    - LP: #1494423
  * Drivers: hv: vmbus: Implement NUMA aware CPU affinity for channels
    - LP: #1494423
  * Drivers: hv: vmbus: Allocate ring buffer memory in NUMA aware fashion
    - LP: #1494423
  * Drivers: hv: vmbus: Improve the CPU affiliation for channels
    - LP: #1494423
  * Drivers: hv: vmbus: Further improve CPU affiliation logic
    - LP: #1494423

linux (3.19.0-48.54) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1536124
  * Merged back Ubuntu-3.19.0-46.52

 -- Brad Figg <email address hidden> Thu, 21 Jan 2016 12:29:48 -0800

Changed in linux (Ubuntu Vivid):
status: Confirmed → Fix Released

 linux | 3.19.0-49.55 | vivid-updates | source
 linux-meta | 3.19.0.49.48 | vivid-updates | source
 linux-signed | 3.19.0-49.55 | vivid-updates | source

Brad Figg (brad-figg) on 2016-02-01
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers